This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 965186 - (CVE-2013-3560) CVE-2013-3560 wireshark: DoS (crash) in the MPEG DSM-CC dissector (wnpa-sec-2013-28, upstream #8481)
CVE-2013-3560 wireshark: DoS (crash) in the MPEG DSM-CC dissector (wnpa-sec-2...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130517,reported=2...
: Security
Depends On: 965942 979246
Blocks: 965198
  Show dependency treegraph
 
Reported: 2013-05-20 12:25 EDT by Jan Lieskovsky
Modified: 2015-07-31 07:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 02:47:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-20 12:25:55 EDT
A denial of service flaw was found in the way MPEG DSM-CC of Wireshark, a network traffic analyzer, processed certain MPEG DSM-CC packet capture files. A remote attacker could provide a specially-crafted MPEG DSM-CC packet capture file that, when processed would lead to tshark executable crash.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8481

Reproducer:
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8481#c0

Upstream patch:
[3] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48332
Comment 1 Huzaifa S. Sidhpurwala 2013-05-21 02:46:59 EDT
Upstream advisory:

http://www.wireshark.org/security/wnpa-sec-2013-28.html

The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for parsing ISO/IEC 13818-6 DSM-CC data.
Comment 2 Huzaifa S. Sidhpurwala 2013-05-21 02:47:49 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Huzaifa S. Sidhpurwala 2013-05-22 02:37:19 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 965942]
Comment 4 Jan Lieskovsky 2013-05-27 06:13:39 EDT
Upstream advisory:

  http://www.wireshark.org/security/wnpa-sec-2013-28.html
Comment 5 Fedora Update System 2013-09-27 20:16:30 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 21:07:32 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-19 02:14:35 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.